Bug 25471 - Add DataTables to MARC subfield structure admin page for bibliographic frameworks
Summary: Add DataTables to MARC subfield structure admin page for bibliographic framew...
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-12 21:22 UTC by Owen Leonard
Modified: 2020-07-23 04:30 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.02


Attachments
Bug 25471: Add DataTables to MARC subfield structure admin page (3.34 KB, patch)
2020-05-13 00:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25471: Add DataTables to MARC subfield structure admin page (3.40 KB, patch)
2020-05-13 20:46 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 25471: Add DataTables to MARC subfield structure admin page (3.45 KB, patch)
2020-06-21 14:39 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-05-12 21:22:10 UTC
I think it would be useful to have table filtering and sorting on the table of MARC subfields (marc_subfields_structure.tt).
Comment 1 Owen Leonard 2020-05-13 00:27:03 UTC
Created attachment 104802 [details] [review]
Bug 25471: Add DataTables to MARC subfield structure admin page

This patch adds DataTables sorting and filtering to the table of
subfields shown on the MARC subfield structure administration page.

To test, apply the patch and go to Administration -> MARC bibliographic
framework.

 - From the 'Actions' menu, select 'MARC structure.'
 - From the 'Actions' menu, select the 'View subfields' link for a tag
   with multiple subfields.
 - On the page showing all the subfields for the tag, confirm that the
   table is sorted by default by subfield and that sorting works
   correctly.
 - Confirm that the search form at the top of the table works.
Comment 2 Lucas Gass 2020-05-13 20:46:12 UTC
Created attachment 104853 [details] [review]
Bug 25471: Add DataTables to MARC subfield structure admin page

This patch adds DataTables sorting and filtering to the table of
subfields shown on the MARC subfield structure administration page.

To test, apply the patch and go to Administration -> MARC bibliographic
framework.

 - From the 'Actions' menu, select 'MARC structure.'
 - From the 'Actions' menu, select the 'View subfields' link for a tag
   with multiple subfields.
 - On the page showing all the subfields for the tag, confirm that the
   table is sorted by default by subfield and that sorting works
   correctly.
 - Confirm that the search form at the top of the table works.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Katrin Fischer 2020-06-21 14:39:26 UTC
Created attachment 106123 [details] [review]
Bug 25471: Add DataTables to MARC subfield structure admin page

This patch adds DataTables sorting and filtering to the table of
subfields shown on the MARC subfield structure administration page.

To test, apply the patch and go to Administration -> MARC bibliographic
framework.

 - From the 'Actions' menu, select 'MARC structure.'
 - From the 'Actions' menu, select the 'View subfields' link for a tag
   with multiple subfields.
 - On the page showing all the subfields for the tag, confirm that the
   table is sorted by default by subfield and that sorting works
   correctly.
 - Confirm that the search form at the top of the table works.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2020-06-21 14:41:20 UTC
Owen, I really like this. May I ask for the same change for authority types? Filed as bug 25832.
Comment 5 Jonathan Druart 2020-06-24 13:06:39 UTC
Awesome, thanks Owen!
Comment 6 Jonathan Druart 2020-06-24 13:32:38 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-07-10 16:39:50 UTC
Choosing to backport enhancement

backported to 20.05.x for 20.05.02
Comment 8 Aleisha Amohia 2020-07-13 02:43:42 UTC
enhancement, not backporting to 19.11.x